#!/usr/bin/env bash

set -euo pipefail

builddir="$(dirname "$0")"

pushd "$builddir"

if [ -d "./st" ]; then
  git -C "./st" pull
else
  git clone "https://git.suckless.org/st"
fi

cp config.h ./st/
cd st
make
sudo make install
popd
